Subject: bug#8894: closed (Re: bug#8894: 'which-func-mode' can not find function when 'semantic' enabled.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 06 Jul 2011 20:37:04 +0000

Your bug report

#8894: 'which-func-mode' can not find function when 'semantic' enabled.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8894: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8894
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8894: 'which-func-mode' can not find function when 'semantic' enabled.
From: David Engster <[email-masked]>
To: Oleksandr Gavenko <[email-masked]>
Cc: [email-masked]
Date: Wed, 06 Jul 2011 22:35:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Oleksandr Gavenko writes:
> Run Emacs version 23.3 (also same with 23.2):

[...]

> In mode line 'which-func' show '[???]' for any function!
> Without 'semantic' all work fine, (I see '[main]').

I think this is the same issue as described in #8260, which was fixed
with revno. 100570. I did verify that this bug does not occur anymore
with the latest checkout from the emacs-23 branch, hence I'm closing
this bug.

-David

Subject: 'which-func-mode' can not find function when 'semantic' enabled.
From: Oleksandr Gavenko <[email-masked]>
To: [email-masked]
Date: Sat, 18 Jun 2011 21:33:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Run Emacs version 23.3 (also same with 23.2):

   $ emacs -Q

Eval:

(semantic-mode 1)
(which-func-mode 1)
(find-file "~/tmp/hello.c")

for any .c file:

int main() {
     return EXIT_FAILURE;
}

In mode line 'which-func' show '[???]' for any function!
Without 'semantic' all work fine, (I see '[main]').

-- 
Best regards!